import { ICanvasTableColumn } from './canvas-table/canvas-table.interfaces';
import { IModeSwitchTitles } from './event-container/mode-switch/mode-switch-titles';
import { IEvent } from './event/event.interface';
import { EventMergeChecker } from './schedule-controller/event-merge-checker';
import { EventRelationChecker } from './schedule-controller/event-relation';
import { CommonState } from './shared/common.state';
import { ISchedulerTranslation, SUPPORTED_LOCALES } from './shared/i18n/translate-service';
import { IPlannedStopList, PlannedStopFactory } from './shared/interfaces/planned-stop';
import { IKaiSchedulerTreeItem } from './tree/tree-item.interface';
import { EventRenderer } from './event-container/event-renderers';
import { EventAdditionalDurationCalculator } from './schedule-controller/additional-duration-calculator';
export interface IKaiSchedulerConfig {
    commonParams?: CommonState.State;
    eventBoxRenderer?: EventRenderer;
    eventBoxBackgroundRenderer?: EventRenderer;
    eventBoxTitleRenderer?: EventRenderer;
    eventListColumns?: ICanvasTableColumn[];
    events?: IEvent[];
    resources: IKaiSchedulerTreeItem[];
    plannedStops?: IPlannedStopList;
    plannedStopFactory?: PlannedStopFactory;
    postProcessDurationCalculator?: EventAdditionalDurationCalculator;
    predecessors?: EventRelationChecker;
    preProcessDurationCalculator?: EventAdditionalDurationCalculator;
    successors?: EventRelationChecker;
    locale?: SUPPORTED_LOCALES;
    mergeCandidates?: EventMergeChecker;
    modeSwitchTitles?: IModeSwitchTitles;
    readonly?: boolean;
    resourceInitialHeight?: number;
    resourceTreeWidth?: number;
    timelineRowBackground?: string;
    timelineRowBackgroundGradientColorStops?: Array<number | string>;
    timelineRowHeight?: number;
    translations?: ISchedulerTranslation;
}
